package com.ejie.ad74a.util.constantes;

import java.util.Locale;

import org.springframework.context.i18n.LocaleContextHolder;

import com.ejie.ad74a.util.comun.Utilidades;

/**
 * Tipos de entrada
 */

public enum TipoInformesEnum {

	INFSOC("1", "informes.informeSocial"), //
	INFINT("2", "informes.informeIntervenciones"), //
	INFSUM("3", "informes.informeSuicidiosYMalosTratos");

	private TipoInformesEnum(String id, String labelDesc) {
		this.labelDesc = labelDesc;
		this.id = id;
	}

	private String id;
	private String labelDesc;

	public String getId() {
		return this.id;
	}

	public String getLabelDesc() {
		return Utilidades.getLabelFromResource(Constantes.BASENAME_RESOURCE_AD74A_I18N, this.labelDesc,
				LocaleContextHolder.getLocale());
	}

	public String getLabelDesc(Locale locale) {
		return Utilidades.getLabelFromResource(Constantes.BASENAME_RESOURCE_AD74A_I18N, this.labelDesc, locale);
	}

	public static TipoInformesEnum getById(String id) {
		for (TipoInformesEnum e : values()) {
			if (e.id.equals(id))
				return e;
		}
		return null;
	}

}
